[ACTION REQUIRED] Amendments Reached Majority; Upgrade Recommended by 5/1/20

63 views
Skip to first unread message

Warren Paul Anderson

unread,
Apr 28, 2020, 7:24:29 PM4/28/20
to ripple server
DeletableAccounts and Two Other Amendments Expected Soon

2020-4-28-20 Announcement

Three amendments to the XRP Ledger protocol currently hold support of a majority of trusted validators, and are expected to become enabled on the following dates (in UTC):
As long as these amendments continue to have the support of at least 80% of trusted validators continuously, they will become enabled on the scheduled dates. All three amendments were introduced in rippled v1.4.0.


Action Required
  • If you operate a rippled server, you must upgrade to version 1.4.0 or higher by 2020-05-01, for service continuity. Version 1.5.0 is strongly recommended.
  • The DeletableAccounts amendment changes the starting sequence numbers for accounts. If you have automatic processes that send transactions from newly-funded accounts, please check that the change does not break critical processes.
Note Regarding Payment Channels

The fixPayChanRecipientOwnerDir amendment previously gained majority support in January. However, several trusted validators withdrew support from the amendment because it would cause breaking changes to the account_channels API method. Version 1.5.0 of rippled contains a fix that makes the account_channels API method continue to work without breaking changes. If you use account_channels, be sure to upgrade to rippled version 1.5.0 to avoid breaking changes to the API.



Impact of Not Upgrading

If you operate a rippled server but don’t upgrade to version 1.4.0 or higher by 2020-05-01, when the fixPayChanRecipientOwnerDir and fixCheckThreading amendments are expected to become enabled, then your server will become amendment blocked, meaning that your server:

  • Cannot determine the validity of a ledger
  • Cannot submit or process transactions
  • Does not participate in the consensus process
  • Does not vote on future amendments
  • Could rely on potentially invalid data
If none of the amendments become enabled, then your server will not become amendment blocked and should continue to operate.

For instructions on upgrading rippled on supported platforms, see Install rippled.

Reply all
Reply to author
Forward
0 new messages